UnderflowException
Fonctions SPL
Exceptions
PHP Manual

# La classe UnexpectedValueException

(PHP 5 >= 5.1.0)

## Introduction

Exception émise si une valeur ne fait pas partie d'une liste de valeurs. Typiquement, elle survient lorsqu'une fonction appèle une autre fonction et attend que la valeur retournée soit d'un certain type ou d'une certaine valeur, sans inclure les erreurs relatives à l'arithmétique ou au buffer.

## Synopsis de la classe

UnexpectedValueException extends RuntimeException {
/* Propriétés héritées */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Méthodes héritées */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public mixed Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

UnderflowException
Fonctions SPL
Exceptions
PHP Manual